> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/data-governance/saml.md).

# SAML

## Changes the certificate to be used with SAML

> Replaces the currently used certificate with the one uploaded in PEM format. The PEM file must be unencrypted (no password) and contain both the certificate and the private key.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/security/saml/certificate/{type}":{"post":{"tags":["SAML"],"summary":"Changes the certificate to be used with SAML","description":"Replaces the currently used certificate with the one uploaded in PEM format. The PEM file must be unencrypted (no password) and contain both the certificate and the private key.","operationId":"changeCertificate","parameters":[{"name":"type","in":"path","required":true,"schema":{"type":"string","enum":["SIGNING","ENCRYPTION"]}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"object"}}}}}},"responses":{"200":{"description":"Certificate successfully changed"}}}}}}
```

## Delete the specified SAML certificate from the SAML keystore.

> Delete the certificate from the SAML keystore and replace it with a generated certificate as done by default.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/security/saml/certificate/{type}":{"delete":{"tags":["SAML"],"summary":"Delete the specified SAML certificate from the SAML keystore.","description":"Delete the certificate from the SAML keystore and replace it with a generated certificate as done by default.","operationId":"deleteCustomizations","parameters":[{"name":"type","in":"path","required":true,"schema":{"type":"string","enum":["SIGNING","ENCRYPTION"]}}],"responses":{"200":{"description":"The certificate was successfully deleted."}}}}}}
```

## Returns the SAML Service Provider metadata for this instance.

> Returns the SAML Service Provider metadata for this instance.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/security/saml":{"get":{"tags":["SAML"],"summary":"Returns the SAML Service Provider metadata for this instance.","description":"Returns the SAML Service Provider metadata for this instance.","operationId":"getSPMetadataAsString","parameters":[{"name":"complete","in":"query","description":"Whether or not the meta data generated should include the non-required attributes (completeMetadata = true means all the non-essential attributes too).","schema":{"type":"boolean"}}],"responses":{"200":{"description":"metadata successfully found.","content":{"application/xml":{}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/references/data-governance/saml.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
